import React, { ElementType, ReactNode } from "react";
import { ElementProps, SpacingTypes } from "../../Element/constants";
import { PortionProps } from "../../Portion/Portion";
import { InputLabelCustomProps } from "../InputLabel/InputLabel";
import { InputCommonProps } from "../BaseInputComponent/constants";
import { RadioGroupOptionProps } from "../RadioButton/constants";
export type FormFieldsType = ElementProps<HTMLInputElement> & ElementProps<HTMLSelectElement> & ElementProps<HTMLTextAreaElement> & InputLabelCustomProps & InputCommonProps;
export type FormFieldsConfigBase = PortionProps & FormFieldsType;
interface FormFieldOptionsType extends RadioGroupOptionProps {
    id: string;
    label: string;
    value: string;
}
export interface FormFieldsConfig extends FormFieldsConfigBase {
    as: ElementType;
    options?: FormFieldOptionsType[];
}
export declare const generateFormThroughConfig: (fields: FormFieldsConfig[], onFieldsChange: React.FormEventHandler | undefined, spacing: SpacingTypes | undefined) => React.ReactNode;
export {};
