import React, { ReactNode } from "react";
import { CardProps } from "../Card/Card";
export interface OptionCardsProviderProps {
    children: ReactNode;
    allowMultipleSelections?: boolean;
    showTickIcon?: boolean;
    onSelectionChange?: (selectedIds: Set<string>) => void;
}
export interface OptionCardProps extends CardProps {
    id: string;
    children: ReactNode;
    disabled?: boolean;
}
export declare const OptionCardsGroup: React.FC<OptionCardsProviderProps>;
export declare const useOptionCard: (id: string) => {
    isSelected: boolean;
    toggleSelection: () => void;
    showTickIcon: boolean | undefined;
};
export declare const OptionCard: React.FC<OptionCardProps>;
