import React from "react";
import { CommonAndHTMLProps, WeightTypes } from "../Element/constants";
interface HeadingBaseProps {
    as?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    fontStyle?: "sans-serif" | "serif" | "monospace";
    weight?: WeightTypes;
    align?: "left" | "centre" | "center" | "right";
}
export type HeadingElementType = HTMLHeadingElement;
export type HeadingProps = Omit<CommonAndHTMLProps<HeadingElementType>, keyof HeadingBaseProps> & HeadingBaseProps;
export declare const Heading1: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export declare const Heading2: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export declare const Heading3: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export declare const Heading4: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export declare const Heading5: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export declare const Heading6: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHeadingElement>, keyof HeadingBaseProps> & HeadingBaseProps & React.RefAttributes<HTMLHeadingElement>>;
export {};
